# Welcome to use-bootstrap! 👋😁

![main1](https://usebootstrap.org/img/logo/main1.svg)

## Documentation :green_book:

We recommend browsing the official site [here](https://usebootstrap.org/). The official site provides actual working [documentation](https://usebootstrap.org/lang-en) and [examples](https://usebootstrap.org/examples).

> ja:こちらの公式サイトを閲覧する事をオススメします。公式サイトでは実際に動作するドキュメントや実装例を掲載しています。(日本語対応してます ✨)

## Installation 🔧

Installation of Bootstrap5 and use-bootstrap NPM Package

```
npx nuxi@latest module add usebootstrap
```

Add a usebootstrap section in your nuxt.config.

```
export default defineNuxtConfig({
  modules: [
    'usebootstrap'
    ],
})
```

## Concept 🎤

use-bootstrap is the front-end framework based on Nuxt3 and Bootstrap5.

- _Extended Bootstrap5 SCSS_
- _Pure Vue.js Scripts_
- _Support for UnoCSS, nuxt-link, nuxt-image, nuxt-icon, and more..._
- _Seamless Integration of UI and Data_
- _Unified Color Management_
- _Static_Fragment_Generator_

## Components

- Accordion
- Alerts
- Badge
- Breadcrumb
- Buttons
- Button group
- Card
- Carousel
- Close button
- Collapse
- Dropdown
- List group
- Modal
- Navbar
- Navs and Tabs
- Offcanvas
- Pagination
- Placeholders
- Popovers
- Progress
- Scrollspy
- Spinners
- Toasts
- Tooltips
- Range

## Modules

- VueUse
- Icons
- Fonts
- Animate.css
- Sitemap
- Robots
- UnoCSS
- Leaflet Map
- Markdown

## Extend Components

- Grid template
- Color mode
- Localization
- Sidebar
- Table of Contents (Toc)
- Code highlighter
- Intro
- Typed
- Swiper
- Divider
- Status Indicator
- Icon Box
- Avatar
- Intersection Animate
- Back to top
- Responsive Divider
- Json View
- Password Strength
- Tiptap Editor
- Sortable

## Integration Components

- ViewState
- ActionState

**For a detailed description click [here](https://usebootstrap.org/lang-en/getting-started/concept/).**

## License :page_facing_up:

Code released under the **MIT License**.

## Member 👾

- [✨KoujiSano✨](https://github.com/KoujiSano)
- [ITpassport](https://github.com/ITpassport)
- [Siguretuki](https://github.com/Siguretuki)
- [yukikimoto](https://github.com/yukikimoto)
- [Iris-Fla](https://github.com/Iris-Fla)



