import { useInline } from "../../../composables/base/useInline.js";
import { InlineProps } from "../../../composables/base/useBaseProps.js";
import { hProps } from "../../../composables/utils/useProps.js";
import {
  AnchorProps,
  useAnchor
} from "../../../composables/html/useAnchor.js";
import Anchor from "../../html-inline/Anchor.js";
import { defineComponent, h } from "#imports";
export default defineComponent({
  name: "NavbarBrand",
  props: {
    ...InlineProps,
    ...AnchorProps,
    tag: {
      type: String,
      default: "span"
    }
  },
  setup(props, context) {
    const inline = useInline(props);
    const anchor = useAnchor(props);
    const current = {
      class: {
        "navbar-brand": true
      }
    };
    return () => h(
      Anchor,
      hProps(
        current,
        anchor,
        inline
      ),
      context.slots
    );
  }
});
