import { useInline } from "../../../composables/base/useInline.js";
import { InlineProps } from "../../../composables/base/useBaseProps.js";
import { hProps } from "../../../composables/utils/useProps.js";
import { defineComponent, h } from "#imports";
export default defineComponent({
  name: "NavbarText",
  props: {
    ...InlineProps,
    tag: {
      type: String,
      default: "span"
    }
  },
  setup(props, context) {
    const inline = useInline(props);
    const current = {
      class: {
        "navbar-text": true
      }
    };
    return () => h(props.tag, hProps(current, inline), context.slots);
  }
});
