import { hProps, hSlots } from "../../../composables/utils/useProps.js";
import {
  useAnchor,
  AnchorProps
} from "../../../composables/html/useAnchor.js";
import { ToggleProps, useToggle } from "../../../composables/bootstrap/useToggle.js";
import { useBlock } from "../../../composables/base/useBlock.js";
import { BlockProps } from "../../../composables/base/useBaseProps.js";
import { NavbarTogglerProps, useNavbarToggler } from "../../../composables/bootstrap/useNavbarToggler.js";
import { defineComponent, h, ref } from "#imports";
export default defineComponent({
  name: "NavbarToggler",
  props: {
    ...BlockProps,
    ...AnchorProps,
    ...ToggleProps,
    ...NavbarTogglerProps,
    tag: {
      type: String,
      default: "button"
    },
    toggle: {
      type: String,
      default: "collapse"
    }
  },
  setup(props, context) {
    const elementRef = ref();
    const block = useBlock(props);
    const Anchor = useAnchor(props);
    const toggle = useToggle(props, elementRef);
    const navbarToggler = useNavbarToggler(props);
    const current = {
      ref: elementRef
    };
    return () => h(
      "a",
      hProps(current, navbarToggler, Anchor, toggle, block),
      hSlots(context.slots.default, navbarToggler.render)
    );
  }
});
