import { useBlock } from "../../../composables/base/useBlock.js";
import { BlockProps } from "../../../composables/base/useBaseProps.js";
import { hProps, hSlots } from "../../../composables/utils/useProps.js";
import Span from "../../html-inline/Inline.js";
import { defineComponent, h } from "#imports";
export default defineComponent({
  name: "Spinner",
  props: {
    ...BlockProps,
    tag: {
      type: String,
      default: "div"
    },
    spinner: {
      type: String,
      default: "border"
      // grow
    },
    sm: {
      type: Boolean
    }
  },
  setup(props, context) {
    const block = useBlock(props);
    const current = {
      class: {
        [`spinner-${props.spinner}`]: true,
        [`spinner-${props.spinner}-sm`]: props.sm
      },
      attr: {
        role: "status"
      }
    };
    return () => h(
      props.tag,
      hProps(current, block),
      () => [
        () => h(Span, { visuallyHidden: true }, "Loading..."),
        ...hSlots(context.slots.default)
      ]
    );
  }
});
