import { useBlock } from "../../../composables/base/useBlock.js";
import { BlockProps } from "../../../composables/base/useBaseProps.js";
import { provideFormLabel } from "../../../composables/bootstrap/useFormLabel.js";
import { hProps } from "../../../composables/utils/useProps.js";
import { defineComponent, h, provide } from "#imports";
export default defineComponent({
  name: "FormCheck",
  props: {
    ...BlockProps,
    tag: {
      type: String,
      default: "div"
    },
    inline: {
      type: Boolean
    },
    switch: {
      type: Boolean
    },
    reverse: {
      type: Boolean
    }
  },
  setup(props, context) {
    const block = useBlock(props);
    const current = {
      class: {
        "form-check": true,
        "form-check-inline": props.inline,
        "form-check-reverse": props.reverse,
        "form-switch": props.switch
      }
    };
    provide("swich", props.switch);
    provideFormLabel();
    return () => h(props.tag, hProps(current, block), context.slots);
  }
});
