import { hProps } from "../../composables/utils/useProps.js";
import { useBlock } from "../../composables/base/useBlock.js";
import { BlockProps } from "../../composables/base/useBaseProps.js";
import { defineComponent, h, computed } from "#imports";
export default defineComponent({
  name: "TableH",
  props: {
    ...BlockProps,
    tag: {
      type: String,
      default: "th"
    },
    color: {
      type: String,
      default: void 0
    }
  },
  setup(props, context) {
    const block = useBlock(props);
    const current = {
      class: computed(() => {
        return {
          [`table-${props.color}`]: props.color
        };
      })
    };
    return () => h(props.tag, hProps(current, block), context.slots);
  }
});
