export interface IElementProps {
    tag?: string;
}
export interface IInlineProps extends IElementProps {
    fontSize?: number | string;
    fontWeight?: string;
    fontStyle?: string;
    fontFamily?: string;
    lineHeight?: string;
    fontMonospace?: boolean;
    textReset?: boolean;
    textDecoration?: string;
    textTruncate?: boolean;
    textOpacity?: number | string;
    textTransform?: string;
    textBackground?: string;
    headings?: number | string;
    displayHeadings?: number | string;
    lead?: boolean;
    mark?: boolean;
    small?: boolean;
    textColor?: string;
    padding?: string | number | unknown[];
    margin?: string | number | unknown[];
    display?: string | unknown[];
    gap?: string | number | unknown[];
    visuallyHidden?: boolean | string;
    verticalAlign?: string;
    visible?: boolean;
    invisible?: boolean;
    userSelect?: string;
    pointerEvents?: string;
    backgroundColor?: string;
    backgroundGradient?: boolean;
    backgroundImage?: string;
    backgroundSize?: string;
    backgroundRepeat?: string;
    backgroundPosition?: string;
    backgroundOpacity?: number | string;
    opacity?: number | string;
    relativeWidth?: number | string;
    relativeHeight?: number | string;
    maxWidth?: boolean;
    maxHeight?: boolean;
    viewportWidth?: boolean;
    viewportHeight?: boolean;
    minViewportWidth?: boolean;
    minViewportHeight?: boolean;
    placeholder?: boolean | string;
    placeholderSize?: string;
    col?: number | boolean | string | unknown[];
    position?: string;
    top?: number | string;
    start?: number | string;
    end?: number | string;
    bottom?: number | string;
    translate?: string;
    initialism?: boolean;
    focusRing?: boolean;
    border?: number | string | boolean;
    borderColor?: string;
    borderWidth?: number | string;
    borderSubtractive?: boolean | string;
    rounded?: boolean | string;
    roundedSize?: number | string;
    linkOpacity?: number | string;
    linkUnderline?: boolean | string;
    linkUnderlineOpacity?: number | string;
    linkOffset?: number | string;
    theme?: string;
}
export declare function useInline<P extends IInlineProps>(props: P): {
    class: import("vue").ComputedRef<{
        [x: string]: unknown;
        "link-underline": boolean | "" | 0 | undefined;
        initialism: boolean | undefined;
        'focus-ring': boolean | undefined;
        border: boolean | "" | 0 | undefined;
        col: boolean | "" | 0 | undefined;
        visible: boolean | undefined;
        invisible: boolean | undefined;
        "bg-gradient": boolean | undefined;
        'mw-100': boolean | undefined;
        'mh-100': boolean | undefined;
        'vw-100': boolean | undefined;
        'vh-100': boolean | undefined;
        'min-vw-100': boolean | undefined;
        'min-vh-100': boolean | undefined;
        'font-monospace': boolean | undefined;
        'text-reset': boolean | undefined;
        'text-truncate': boolean | undefined;
        lead: boolean | undefined;
        mark: boolean | undefined;
        small: boolean | undefined;
    }>;
    style: import("vue").ComputedRef<{
        [x: string]: string | undefined;
    }>;
    attr: import("vue").ComputedRef<{
        [x: string]: string | undefined;
    }>;
};
