import type { Ref, SetupContext, PropType } from 'vue';
import type { IIDProps } from '../attributes/useID.js';
export declare const OffcanvasProps: {
    type: {
        type: PropType<"lg" | "sm" | "md" | "xl" | "xxl">;
    };
    placement: {
        type: StringConstructor;
        default: string;
    };
    fade: {
        type: BooleanConstructor;
        default: boolean;
    };
    show: {
        type: BooleanConstructor;
        default: boolean;
    };
    backdrop: {
        type: (StringConstructor | BooleanConstructor)[];
        default: boolean;
    };
    keyboard: {
        type: BooleanConstructor;
        default: boolean;
    };
    focus: {
        type: BooleanConstructor;
        default: boolean;
    };
    scroll: {
        type: BooleanConstructor;
        default: boolean;
    };
    dark: {
        type: BooleanConstructor;
        default: boolean;
    };
};
export interface IOffcanvasProps {
    type?: 'lg' | 'sm' | 'md' | 'xl' | 'xxl';
    placement?: string;
    fade?: boolean;
    show?: boolean;
    backdrop?: boolean | string;
    keyboard?: boolean;
    focus?: boolean;
    scroll?: boolean;
    dark?: boolean;
}
export interface IOffcanvasMethods {
    show: () => Promise<void>;
    hide: () => Promise<void>;
    toggle: () => Promise<void>;
}
interface IProps extends IOffcanvasProps, IIDProps {
}
export declare function useOffcanvas<P extends IProps>(props: P, context: SetupContext<Record<string, unknown>>, elementRef: Ref<HTMLElement | undefined>): {
    class: import("vue").ComputedRef<{
        [x: string]: boolean | "sm" | "md" | "lg" | "xl" | "xxl" | undefined;
        offcanvas: boolean;
        "text-bg-dark": boolean | undefined;
        show: boolean;
    }>;
    style: import("vue").ComputedRef<{}>;
    attr: import("vue").ComputedRef<{
        tabindex: number;
    }>;
    render: () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | undefined;
    method: Record<string, (...args: unknown[]) => unknown> & IOffcanvasMethods;
};
export {};
