export declare const PaginationProps: {
    size: {
        type: StringConstructor;
    };
};
export interface IPagination {
    size?: string;
}
export declare const PageItemProps: {
    active: {
        type: BooleanConstructor;
    };
    disabled: {
        type: BooleanConstructor;
    };
};
export interface IPageItem {
    active?: boolean;
    disabled?: boolean;
}
export declare function usePagination<P extends IPagination>(props: P): {
    class: Record<string, unknown>;
};
export declare function usePageItem<P extends IPageItem>(props: P): {
    class: {
        'page-item': boolean;
        active: boolean | undefined;
        disabled: boolean | undefined;
    };
    attr: {
        [name]: string | undefined;
    };
};
export declare function usePageLink<P extends IPageItem>(props: P): {
    class: {
        'page-link': boolean;
    };
    attr: import("vue").ComputedRef<{
        [name]: string | undefined;
    }>;
};
