import type { Ref, VNode, Slot, SetupContext } from 'vue';
import type { MaybeRef } from '@vueuse/core';
export interface IHPropsModel {
    class?: MaybeRef<Record<string, unknown>>;
    style?: MaybeRef<Record<string, unknown>>;
    attr?: MaybeRef<Record<string, unknown>>;
    state?: Record<string, MaybeRef<unknown>>;
    method?: Record<string, Function>;
    event?: Record<string, Function | undefined>;
    ref?: Ref<HTMLElement | undefined>;
    tag?: string;
    render?: () => VNode | VNode[] | undefined;
    provideSuffix?: string;
}
export interface IRenderPropsModel {
    class?: Record<string, unknown>;
    style?: Record<string, unknown>;
    [key: string]: unknown;
}
export declare function hProps(...items: IHPropsModel[]): IRenderPropsModel;
declare type hSlotsProps = Slot | undefined | (() => VNode | VNode[] | undefined);
export declare function hSlots(...slots: hSlotsProps[]): (VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> | VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | undefined)[];
type ClassNameGenerator = (a: unknown) => string;
export declare function addClassNames<T>(value: T, func: ClassNameGenerator): Record<string, unknown>;
export declare function addProp<T>(test: T, name: string, value: string | undefined): false | {
    [name]: string | undefined;
};
export declare function isPropUndefined(value: unknown): boolean;
export declare function isPropDefined(value: unknown): boolean;
export declare function isNumrable(value: string): boolean;
export declare function hasValue(value?: unknown): string | boolean;
export declare function isTrue(value?: unknown): boolean;
export declare function toNum(value?: unknown): number;
export declare function toArray(value?: unknown): any[];
export declare function exposeMethods(context: SetupContext<Record<string, unknown>>, ...items: IHPropsModel[]): void;
export declare function exposeMethodsSetup(...items: IHPropsModel[]): Record<string, Function>;
export declare function spacing(val: unknown, tag: string): string;
export {};
