import type { ComponentObjectPropsOptions } from 'vue';
import type { IComponent } from '../components/spec/UseBootstrap.vue.js';
export declare const selectComponents: (category: string) => Partial<Record<string, IComponentSource>>;
export declare const getComponent: (name: string) => IComponentSource;
export interface IComponentSource {
    path?: string;
    alias?: string;
    category: 'bootstrap' | 'extend' | 'html' | 'icon' | 'integration' | 'spec' | 'swiper' | 'vueuse';
    export?: string;
    mode?: 'client' | 'server';
    spec?: ISpec;
    examples?: Record<string, IExampleComponent>;
    props?: ComponentObjectPropsOptions;
    doc?: string;
}
export interface ISpec {
    parents?: string[];
    layout?: boolean;
}
export interface IExampleComponent {
    items?: IComponent[];
    attrs?: Record<string, unknown>;
    text?: string;
}
export declare const components: Record<string, IComponentSource>;
